Tools used by OpenStack Documentation
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
melissaml c67afa0246 Fix to use "." to source script files 3 years ago
autogenerate_config_docs [diff_branches] remove the broken --format option 3 years ago
bin Cleanup doc-tools-check-languages 3 years ago
cleanup Keep py3.X compatibility for urllib 4 years ago
doc/source Switch to openstackdocstheme 3 years ago
os_doc_tools Update sitemap tests 3 years ago
releasenotes Switch to openstackdocstheme 3 years ago
sitemap Fix to use "." to source script files 3 years ago
test Change priorities for sitemap 3 years ago
tools Add Constraints support 3 years ago
.gitignore Update sitemap tests 3 years ago
.gitreview Add .gitreview 6 years ago
.mailmap Add .mailmap 6 years ago
.testr.conf doc-tools unit tests 4 years ago
CONTRIBUTING.rst Note to add 'jinja2' and 'markupsafe' to requirements 4 years ago
HACKING.rst doc-tools unit tests 4 years ago
LICENSE Add LICENSE and README.rst 6 years ago
MANIFEST.in Move release notes into a separate file 6 years ago
README.rst Update sitemap tests 3 years ago
RELEASE_NOTES.rst Update RELEASE_NOTES 3 years ago
bindep.txt Add openssl libs to bindep 3 years ago
doc-test.conf.sample Allow setting of publish directory 6 years ago
openstack-common.conf Remove venv tools 5 years ago
pylintrc Add pylint target for testing 6 years ago
requirements.txt Updated from global requirements 3 years ago
setup.cfg Remove support for py33 3 years ago
setup.py Updated from global requirements 3 years ago
test-requirements.txt Updated from global requirements 3 years ago
tox.ini Add bindep.txt 3 years ago

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev

Regenerating config option tables

See autogenerate_config_docs.